Bug 868486 - thermostat 0.4.0 not built with $RPM_{OPT,LD}_FLAGS
thermostat 0.4.0 not built with $RPM_{OPT,LD}_FLAGS
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: thermostat (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Severin Gehwolf
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks: DebugInfo
  Show dependency treegraph
 
Reported: 2012-10-20 05:37 EDT by Ville Skyttä
Modified: 2012-12-20 10:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:07:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Upstreamable: don't override user provided CFLAGS and LDFLAGS (2.00 KB, patch)
2012-10-20 05:37 EDT, Ville Skyttä
no flags Details | Diff
Specfile patch (1.01 KB, patch)
2012-10-20 05:38 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2012-10-20 05:37:43 EDT
Created attachment 630382 [details]
Upstreamable: don't override user provided CFLAGS and LDFLAGS

thermostat 0.4.0 is not built with $RPM_{OPT,LD}_FLAGS, and non-executability of *.so prevent proper -debuginfo from being generated. Upstreamable + specfile patches attached.
Comment 1 Ville Skyttä 2012-10-20 05:38:22 EDT
Created attachment 630385 [details]
Specfile patch
Comment 2 Severin Gehwolf 2012-10-22 03:31:26 EDT
Thanks for the bug report. I'll have a look.
Comment 3 Severin Gehwolf 2012-10-22 05:54:39 EDT
Ok. This should be fixed soon. Keep your eyes peeled for an update addressing this bug. Thanks for providing patches! Much appreciated.
Comment 4 Fedora Update System 2012-10-22 07:44:15 EDT
thermostat-0.4.0-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/thermostat-0.4.0-3.fc18
Comment 5 Fedora Update System 2012-10-22 12:56:07 EDT
Package thermostat-0.4.0-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing thermostat-0.4.0-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16643/thermostat-0.4.0-3.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-12-20 10:07:37 EST
thermostat-0.4.0-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.